package ru.dbotthepony.kstarbound.defs.particle

import ru.dbotthepony.kommons.core.Either
import ru.dbotthepony.kstarbound.Registry
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class ParticleCreator(
	val count: Int = 1,
	val particle: Either<Registry.Ref<ParticleDefinition>, IParticleConfig>,

	//override val offset: Vector2d? = null,
	//override val position: Vector2d? = null,
	//override val offsetRegion: Vector4d? = null,
	//override val initialVelocity: Vector2d? = null,
	//override val finalVelocity: Vector2d? = null,
	//override val approach: Vector2d? = null,
	//override val angularVelocity: Double? = null,
	//override val destructionAction: DestructionAction? = null,
	//override val destructionTime: Double? = null,
	//override val fade: Double? = null,
	//override val size: Double? = null,
	//override val layer: ParticleLayer? = null,
	//override val timeToLive: Double? = null,
	//override val variance: IParticleVariance? = null,
	//override val color: Color? = null,
) //: IParticleConfig
